共用方式為


Workflow Run Action Repetitions Request Histories - List

列出工作流程執行重複要求歷程記錄。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/hostruntime/runtime/webhooks/workflow/api/management/workflows/{workflowName}/runs/{runName}/actions/{actionName}/repetitions/{repetitionName}/requestHistories?api-version=2025-05-01

URI 參數

名稱 位於 必要 類型 Description
actionName
path True

string

工作流程動作名稱。

name
path True

string

網站名稱。

repetitionName
path True

string

工作流程重複。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

runName
path True

string

工作流程執行名稱。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

workflowName
path True

string

工作流程名稱。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

RequestHistoryListResult

Azure 作業已順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

List repetition request history

範例要求

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Web/sites/test-name/hostruntime/runtime/webhooks/workflow/api/management/workflows/test-workflow/runs/08586776228332053161046300351/actions/HTTP_Webhook/repetitions/000001/requestHistories?api-version=2025-05-01

範例回覆

{
  "value": [
    {
      "name": "08586611142732800686",
      "type": "Microsoft.Web/sites/workflows/runs/actions/requestHistories",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Web/sites/test-name/workflows/test-workflow/runs/08586611142736787787412824395CU21/actions/HTTP_Webhook/requestHistories/08586611142732800686",
      "location": "West US",
      "properties": {
        "endTime": "2018-10-25T18:36:52.1863033Z",
        "response": {
          "bodyLink": {
            "contentHash": {
              "algorithm": "md5",
              "value": "2LOOAR8Eh2pd7AvRHXUhRg=="
            },
            "contentSize": 137,
            "contentVersion": "2LOOAR8Eh2pd7AvRHXUhRg==",
            "uri": "https://tempuri.org"
          },
          "headers": {
            "Cache-Control": "private",
            "Date": "Thu, 25 Oct 2018 18:36:51 GMT",
            "Location": "http://www.bing.com/",
            "Server": "Microsoft-IIS/10.0",
            "X-AspNet-Version": "4.0.30319",
            "X-Powered-By": "ASP.NET"
          },
          "statusCode": 302
        },
        "startTime": "2018-10-25T18:36:51.9206732Z",
        "request": {
          "method": "GET",
          "headers": {
            "Accept-Language": "en-US",
            "User-Agent": "azure-logic-apps/1.0,(workflow 80244732be3648f59d2084fd979cdd56; version 08586611142904036539)",
            "x-ms-action-tracking-id": "ad27f634-6523-492f-924e-9a75e28619c8",
            "x-ms-client-request-id": "ad484925-4148-4dd0-9488-07aed418b256",
            "x-ms-client-tracking-id": "08586611142736787787412824395CU21",
            "x-ms-correlation-id": "ad484925-4148-4dd0-9488-07aed418b256",
            "x-ms-execution-location": "brazilsouth",
            "x-ms-tracking-id": "ad484925-4148-4dd0-9488-07aed418b256",
            "x-ms-workflow-id": "80244732be3648f59d2084fd979cdd56",
            "x-ms-workflow-name": "test-workflow",
            "x-ms-workflow-operation-name": "HTTP_Webhook",
            "x-ms-workflow-resourcegroup-name": "test-resource-group",
            "x-ms-workflow-run-id": "08586611142736787787412824395CU21",
            "x-ms-workflow-run-tracking-id": "b4cd2e77-f949-4d8c-8753-791407aebde8",
            "x-ms-workflow-subscription-capacity": "Large",
            "x-ms-workflow-subscription-id": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
            "x-ms-workflow-system-id": "/locations/brazilsouth/scaleunits/prod-17/workflows/80244732be3648f59d2084fd979cdd56",
            "x-ms-workflow-version": "08586611142904036539"
          },
          "uri": "http://tempuri.org"
        }
      }
    }
  ]
}

定義

名稱 Description
ContentHash

內容哈希。

ContentLink

內容連結。

createdByType

建立資源的身分識別類型。

ErrorProperties

錯誤屬性會指出邏輯服務無法處理傳入要求的原因。 原因在錯誤訊息中提供。

ErrorResponse

錯誤回應表示邏輯服務無法處理傳入的要求。 error 屬性包含錯誤詳細資料。

Request

一個請求。

RequestHistory

請求歷史記錄。

RequestHistoryListResult

RequestHistory 清單操作的回應。

RequestHistoryProperties

請求歷史記錄。

Response

一個回應。

systemData

與建立和上次修改資源相關的元數據。

ContentHash

內容哈希。

名稱 類型 Description
algorithm

string

內容哈希的演算法。

value

string

內容哈希的值。

內容連結。

名稱 類型 Description
contentHash

ContentHash

內容哈希。

contentSize

integer (int64)

內容大小。

contentVersion

string

內容版本。

metadata

元數據。

uri

string

內容連結 URI。

createdByType

建立資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

ErrorProperties

錯誤屬性會指出邏輯服務無法處理傳入要求的原因。 原因在錯誤訊息中提供。

名稱 類型 Description
code

string

錯誤碼。

message

string

錯誤訊息,指出作業失敗的原因。

ErrorResponse

錯誤回應表示邏輯服務無法處理傳入的要求。 error 屬性包含錯誤詳細資料。

名稱 類型 Description
error

ErrorProperties

錯誤屬性。

Request

一個請求。

名稱 類型 Description
headers

附加至要求的所有標頭清單。

method

string

用於請求的 HTTP 方法。

uri

string

要求的目的地。

RequestHistory

請求歷史記錄。

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如 “/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

location

string

資源所在的地理位置

name

string

資源的名稱

properties

RequestHistoryProperties

要求歷程記錄屬性。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 中繼資料。

tags

object

資源標籤。

type

string

資源的類型。 例如「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」

RequestHistoryListResult

RequestHistory 清單操作的回應。

名稱 類型 Description
nextLink

string (uri)

專案下一頁的連結

value

RequestHistory[]

本頁的 RequestHistory 項目

RequestHistoryProperties

請求歷史記錄。

名稱 類型 Description
endTime

string (date-time)

請求結束的時間。

request

Request

要求。

response

Response

回應。

startTime

string (date-time)

請求開始的時間。

Response

一個回應。

名稱 類型 Description
bodyLink

ContentLink

有關正文內容物位置的詳細信息。

headers

附加至回應的所有標頭清單。

statusCode

integer (int32)

回應的狀態碼。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。